Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 51)
@@ -48,30 +48,6 @@
             {
                 DataGridView dgv = dgvAllDisplay;
 
-                int CellWidth1 = m_CellSize[(int)DispGridColumn.ItemName];
-                int CellWidth2 = m_CellSize[(int)DispGridColumn.TextName];
-                int CellWidth3 = m_CellSize[(int)DispGridColumn.SubContractorName];
-                // 最大化の場合
-                if (!bNormal)
-                {
-                    int allWidth = 0;
-                    for (int i = 0; i < dgv.ColumnCount;i++ )
-                    {
-                        allWidth += m_CellSize[i];
-                    }
-                    // セルの合計サイズが大きい場合は処理しない
-                    if (allWidth > dgv.Width) return;
-
-                    int idifference = (dgv.Width - (allWidth + dgv.RowHeadersWidth)) / 3;
-                    CellWidth1 += idifference;
-                    CellWidth2 += idifference;
-                    CellWidth3 += idifference;
-                }
-
-                dgv.Columns[(int)DispGridColumn.ItemName].Width = CellWidth1;
-                dgv.Columns[(int)DispGridColumn.TextName].Width = CellWidth2;
-                dgv.Columns[(int)DispGridColumn.SubContractorName].Width = CellWidth3;
-
             }
             catch (Exception ex)
             {
@@ -107,51 +83,6 @@
         }
         #endregion
 
-        #region 経費率リスト取得処理
-        /// <summary>
-        /// 経費率リストを取得する
-        /// </summary>
-        /// <returns></returns>
-        private bool GetExpensesList()
-        {
-            IOMDepartmentExpenses expDB = new IOMDepartmentExpenses();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            try
-            {
-                // 工事担当者マスタ取得
-                string strPerson = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
-                PersonInChargeMaster picRec = new PersonInChargeMaster();
-                if(!picDB.SelectAction(strPerson,ref picRec)) return false;
-
-                // 部署経費率マスタ取得
-                string strSQL = "SELECT A.NAMESTRING, IFNULL(B.EXPENSESRATIO, 0)";
-                strSQL += " FROM DIVISIONMASTER A";
-                strSQL += " LEFT OUTER JOIN";
-                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO, EXPENSESPERIOD";
-                strSQL += string.Format(" FROM DEPARTMENTEXPENSESMASTER WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
-                strSQL += " ON A.NAMECODE = B.NAMECODE";
-                strSQL += string.Format(" AND B.EXPENSESPERIOD = {0}", m_ConstructionBaseInfo.ConstructionPeriod);
-                strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses);
-                strSQL += " ORDER BY A.DISPLAYORDER";
-
-                if (!expDB.ExecuteReader(strSQL, ref ExpensesList)) return false;
-                if (ExpensesList.Count == 0) return false;
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                expDB.close(); expDB = null;
-                picDB.close(); picDB = null;
-            }
-        }
-        #endregion
-
         #region 表示オブジェクトの取得
         /// <summary>
         /// 表示オブジェクトの取得
@@ -159,22 +90,20 @@
         private void SetDisplayObject()
         {
             // ヘッダー情報
-            //m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace] = lblLabel03;
-
-            //m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel04;
-
-            //m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName] = label12;
-
-            //m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate] = label2;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice] = label6;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate] = label8;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate] = label11;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes] = label15;
-
-            //m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType] = label17;
-            //m_DspLabelCtrl[(int)DspLblCtrlName.BudgetOverrun] = lblBudgetOverrun;
+            int ArrayCount = Enum.GetNames(typeof(DspLblCtrlName)).Length;
+            m_DspLabelCtrl = new Control[ArrayCount];
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;         // 工事番号
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;         // 工事名称
+            m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate] = dTPCreateDate;     // 作成日
+            m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel03;       // 作成者名
+            m_DspLabelCtrl[(int)DspLblCtrlName.MeetingDate] = dtMeetingDate;    // 打合せ日
+            m_DspLabelCtrl[(int)DspLblCtrlName.StartHours] = numcUD1;           // 開始時
+            m_DspLabelCtrl[(int)DspLblCtrlName.StartMinutes] = numUD2;          // 開始時
+            m_DspLabelCtrl[(int)DspLblCtrlName.CompHours] = numUD3;             // 終了時
+            m_DspLabelCtrl[(int)DspLblCtrlName.CompMinutes] = numUD4;           // 終了時
+            m_DspLabelCtrl[(int)DspLblCtrlName.Place1] = textBox1;              // 場所1
+            m_DspLabelCtrl[(int)DspLblCtrlName.Place2] = textBox2;              // 場所2
+            m_DspLabelCtrl[(int)DspLblCtrlName.Place3] = textBox3;              // 場所3
         }
         #endregion
 
@@ -187,6 +116,9 @@
             foreach (Control wrk in m_DspLabelCtrl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (!wrk.GetType().Equals(typeof(TextBox))
+                    && !wrk.GetType().Equals(typeof(Label))) continue;
+                
                 wrk.Text = "";
             }
 
@@ -194,29 +126,6 @@
         }
         #endregion
 
-        #region グリッドに空行をセット
-        /// <summary>
-        /// グリッドに指定数の空行をセットする
-        /// </summary>
-        /// <param name="dgv"></param>
-        private void SetBlankRow(DataGridView dgv)
-        {
-            try
-            {
-                // 表示行が足りない場合は追加する
-                if (dgv.Rows.Count <= CommonDefine.s_MaxInitLineCount)
-                {
-                    int iAddLine = CommonDefine.s_MaxInitLineCount - dgvAllDisplay.Rows.Count;
-                    if (iAddLine != 0) dgv.Rows.Add(iAddLine);
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region ヘッダー情報表示
         /// <summary>
         /// ヘッダー情報表示
@@ -223,99 +132,24 @@
         /// </summary>
         private bool DispHeader()
         {
-            IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            IOMConstructionType ctypeDB = new IOMConstructionType();
-            IOConstructionBudget cbDB = new IOConstructionBudget();
+            IOConstructionBaseInfoDetail BaseDDB = new IOConstructionBaseInfoDetail();
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
-                m_HeaderToolTip = new ToolTip();
+                // 工事名称取得
+                string strSQL = BaseDDB.CreatePrimarykeyString(m_ConstructionCode);
+                strSQL += string.Format(" AND DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                ConstructionBaseInfoDetail DetailRec = new ConstructionBaseInfoDetail();
+                BaseDDB.SelectAction(strSQL, ref DetailRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = DetailRec.DetailString;
 
-                // 工事予算書を取得する
-                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionBudget cbRec = new ConstructionBudget();
-                bool bBudgetExist = cbDB.SelectAction(strSQL, ref cbRec);
+                // 担当者取得
+                int Person = CommonMotions.LoginUserData.PersonCode;
+                strSQL = PersonDB.CreatePrimarykeyString(Person);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = PersonRec.PersonName;
 
-                // データ表示
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = cbRec.CreateDate.ToShortDateString();                                                     // 作成日
-                
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);                            // 工事コード
-                
-                int OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
-                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0") + "-";                                                // 受注金額
-
-                // 工事基本情報明細取得
-                strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
-                if (!cbidDB.SelectAction(strSQL, ref workRec)) return false;
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                                      // 工事名称
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstName], workRec.DetailString);
-
-                strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2})",
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                   // 工事場所１
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                   // 工事場所２
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                  // 工事場所３
-                strSQL += " Order By DetailNo";
-                List<ConstructionBaseInfoDetail> workList = new List<ConstructionBaseInfoDetail>();
-                cbidDB.SelectAction(strSQL, ref workList);
-                string Place = string.Empty;
-                foreach (ConstructionBaseInfoDetail wrkRec in workList)
-                {
-                    Place += wrkRec.DetailString;
-                }
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;                                                                                    // 工事場所
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace], Place);
-
-                // 工事担当者取得
-                int PersonCode = cbRec.CreatorCode;
-                if (PersonCode == 0) PersonCode = m_ConstructionBaseInfo.ConstructionPersonCode;
-                strSQL = picDB.CreatePrimarykeyString(PersonCode);
-                PersonInChargeMaster personRec = new PersonInChargeMaster();
-                picDB.SelectAction(strSQL, ref personRec);
-
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                                    // 作成者
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName], personRec.PersonName);
-                
-                // 担当指導員取得
-                PersonCode = m_ConstructionBaseInfo.ConstructionInstructor;
-                if (PersonCode != 0)
-                {
-                    strSQL = picDB.CreatePrimarykeyString(PersonCode);
-                    PersonInChargeMaster instructorRec = new PersonInChargeMaster();
-                    picDB.SelectAction(strSQL, ref instructorRec);
-                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;                                                         // 担当指導員
-                    m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName], instructorRec.PersonName);
-                }
-
-                DateTime StDate = cbRec.ConstructionStart;
-                DateTime EdDate = cbRec.ConstructionEnd;
-                if (StDate != DateTime.MinValue && EdDate != DateTime.MinValue)
-                {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = StDate.ToShortDateString();                                                         // 契約工期開始
-                    m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = EdDate.ToShortDateString();                                                         // 契約工期完成
-
-                    m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text = CommonMotions.DiffMounthTimes(StDate, EdDate).ToString("0.00");
-                }
-
-                // 工事種別マスタ取得
-                // 担当者マスタ取得
-                strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
-                ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
-                ctypeDB.SelectAction(strSQL, ref ctypeRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;                                                                   // 工事種別
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType], ctypeRec.NameString);
-
-                // 支払枠を作成する
-                CreatePaymentColumns();
-
-                // グリッドの情報を取得する
-                int CellCount = dgvAllDisplay.ColumnCount;
-                m_CellSize = new int[CellCount];
-                foreach (DataGridViewColumn col in dgvAllDisplay.Columns)
-                {
-                    m_CellSize[col.Index] = col.Width;
-                }
                 return true;
             }
             catch (Exception ex)
@@ -325,358 +159,34 @@
             }
             finally
             {
-                cbidDB.close(); cbidDB = null;
-                picDB.close(); picDB = null;
-                ctypeDB.close(); ctypeDB = null;
-                cbDB.close(); cbDB = null;
+                BaseDDB.close(); BaseDDB = null;
+                PersonDB.close(); PersonDB = null;
             }
         }
         #endregion
 
-        #region 支払欄カラム作成
+        #region データ表示処理
         /// <summary>
-        /// 支払欄カラムを作成する
+        /// データ表示処理
         /// </summary>
-        private void CreatePaymentColumns()
+        private void DisplayDetail()
         {
             try
             {
-                DataGridView dgv = dgvAllDisplay;
-                // 支払欄数取得
-                int ColumnCount = CommonMotions.cnvRoundUp(CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text));
-                // 実際の工期より3カ月入力欄を伸ばす
-                ColumnCount += 3;
 
-                // 月毎支払欄作成
-                DateTime dtTitleDate = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
-                m_GridPaymentColList = new DataGridViewColumn[ColumnCount];
-                m_GridPaymentCellStyleList = new DataGridViewCellStyle[ColumnCount];
-                for (int i = 0; i < ColumnCount; i++)
-                {
-                    // スタイル作成
-                    m_GridPaymentCellStyleList[i] = new DataGridViewCellStyle();
-                    m_GridPaymentCellStyleList[i].Alignment = DataGridViewContentAlignment.MiddleRight;
-
-                    // セル作成
-                    m_GridPaymentColList[i] = new DataGridViewColumn();
-                    dgv.Columns.Add(m_GridPaymentColList[i]);
-
-                    // カラムの設定
-                    m_GridPaymentColList[i].CellTemplate = new DataGridViewTextBoxCell();
-                    m_GridPaymentColList[i].DefaultCellStyle = m_GridPaymentCellStyleList[i];
-                    m_GridPaymentColList[i].HeaderText = string.Format("{0}年{1}月", dtTitleDate.AddMonths(i).Year, dtTitleDate.AddMonths(i).Month);
-
-                    m_GridPaymentColList[i].Name = string.Format("ColPayment{0}", i);
-                    m_GridPaymentColList[i].ReadOnly = false;
-                    m_GridPaymentColList[i].Resizable = DataGridViewTriState.False;
-                    m_GridPaymentColList[i].SortMode = DataGridViewColumnSortMode.NotSortable;
-                    m_GridPaymentColList[i].Width = 150;
-                }
-
-                //　合計・実績欄作成
-                int ArrayCnt = Enum.GetNames(typeof(ColPayTotal)).Length;
-                m_GridTotalColList = new DataGridViewColumn[ArrayCnt];
-                m_GridTotalCellStyleList = new DataGridViewCellStyle[ArrayCnt];
-                for (int i = 0; i < ArrayCnt; i++)
-                {
-                    // スタイル作成
-                    m_GridTotalCellStyleList[i] = new DataGridViewCellStyle();
-                    m_GridTotalCellStyleList[i].Alignment = DataGridViewContentAlignment.MiddleRight;
-
-                    // セル作成
-                    m_GridTotalColList[i] = new DataGridViewColumn();
-                    dgv.Columns.Add(m_GridTotalColList[i]);
-
-                    // カラムの設定
-                    m_GridTotalColList[i].CellTemplate = new DataGridViewTextBoxCell();
-                    m_GridTotalColList[i].DefaultCellStyle = m_GridTotalCellStyleList[i];
-                    m_GridTotalColList[i].HeaderText = ColumnsTitle[i];
-
-                    m_GridTotalColList[i].Name = string.Format("ColPayTotal{0}", i);
-                    // 補填枠は入力可にする
-                    if (i < (ArrayCnt - 1))
-                        m_GridTotalColList[i].ReadOnly = true;
-                    else
-                        m_GridTotalColList[i].ReadOnly = false;
-
-                    m_GridTotalColList[i].Resizable = DataGridViewTriState.False;
-                    m_GridTotalColList[i].SortMode = DataGridViewColumnSortMode.NotSortable;
-                    m_GridTotalColList[i].Width = 150;
-                }
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-        }
-        #endregion
-
-        #region タイトル行の追加
-        /// <summary>
-        /// データ行を作成する
-        /// </summary>
-        /// <param name="SetData"></param>
-        private void CreateTitleRow(int TitleNo, string TitleName)
-        {
-            try
+            finally
             {
-                DataGridView dgv = dgvAllDisplay;
-                // カラム数
-                int colcnt = dgv.Columns.Count;
-                // 行追加
-                int rowcnt = dgv.Rows.Add(1);
-
-                // データ作成
-                object[] SetData = new object[colcnt];
-                SetData[(int)DispGridColumn.No] = TitleNo;
-                SetData[(int)DispGridColumn.FixFlg] = "*";
-                SetData[(int)DispGridColumn.GroupCount] = TitleNo;
-                SetData[(int)DispGridColumn.ItemName] = TitleName;
-                SetData[(int)DispGridColumn.TitleFlg] = "1";
-
-                // 行データセット
-                dgv.Rows[rowcnt].SetValues(SetData);
-
-                // 行の色を変える
-                for (int i = 0; i < colcnt; i++)
-                {
-                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = s_TitleRowBackColor;
-                }
-
-                // 表示した行を書込み禁止にする
-                dgv.Rows[rowcnt].ReadOnly = true;
+                if ((5 - dgvPerson.RowCount) > 0) dgvPerson.RowCount += (5 - dgvPerson.RowCount);
+                if ((16 - dgvAllDisplay.RowCount) > 0) dgvAllDisplay.RowCount += (16 - dgvAllDisplay.RowCount);
             }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
         }
         #endregion
 
-        #region データ行を作成
-        /// <summary>
-        /// データ行を作成する
-        /// </summary>
-        /// <param name="SetData"></param>
-        private void CreateDataRow(object[] SetData)
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                // 行追加
-                int rowcnt = dgv.Rows.Add(1);
-                // カラム数取得
-                int colcnt=dgv.Columns.Count;
-
-                // カレント行取得
-                DataGridViewRow CurRow = dgv.Rows[rowcnt];
-
-                // 行データセット
-                CurRow.SetValues(SetData);
-                // フラグセット
-                CurRow.Cells[(int)DispGridColumn.TitleFlg].Value = "0";
-                CurRow.Cells[(int)DispGridColumn.TotalFlg].Value = "0";
-                CurRow.Cells[(int)DispGridColumn.BlankFlg].Value = "0";
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 空行の追加
-        /// <summary>
-        /// 空行を作成する
-        /// </summary>
-        private void AddEmptyRow()
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                // カラム数
-                int colcnt = dgv.Columns.Count;
-                // 行追加
-                int rowcnt = dgv.Rows.Add(1);
-                // フラグON
-                dgv.Rows[rowcnt].Cells[(int)DispGridColumn.BlankFlg].Value = 1;
-                // 行の色を変える
-                for (int i = 0; i < colcnt; i++)
-                {
-                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = Color.White;
-                }
-                // 表示した行を書込み禁止にする
-                dgv.Rows[rowcnt].ReadOnly = true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 行選択色
-        /// <summary>
-        /// 行を選択色にする
-        /// </summary>
-        /// <param name="CurrentRow"></param>
-        private void SelectRowChangeColor(int CurrentRow)
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                DataGridViewRow CurRow = dgv.Rows[CurrentRow];
-                // カラム数
-                int colcnt = dgv.Columns.Count;
-                // 総合計は処理しない
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 2) return;
-
-                // 行の色を変える
-                for (int i = 0; i < colcnt; i++)
-                {
-                    dgv.Rows[m_BeforeGridRow].Cells[i].Style.BackColor = s_RowSelectColor;
-                }
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-
-        }
-        #endregion
-
-        #region 全行デフォルト色
-        /// <summary>
-        /// 全て行をデフォルト色にする
-        /// </summary>
-        /// <param name="BeforeGridRow"></param>
-        private void DefaultALLRowChangeColor()
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                foreach (DataGridViewRow wrkRow in dgv.Rows)
-                {
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
-
-                    // 行の色をデフォルト色へ変更
-                    DefaultRowChangeColor(wrkRow.Index);
-                }
-
-                // 選択行色
-                object sender = dgv;
-                m_BeforeGridRow = dgv.CurrentRow.Index;
-                EventArgs e = new EventArgs();
-                dgvAllDisplay_SelectionChanged(sender, e);
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 行デフォルト色
-        /// <summary>
-        /// 行をデフォルト色にする
-        /// </summary>
-        /// <param name="BeforeGridRow"></param>
-        private void DefaultRowChangeColor(int CurrentRow)
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                DataGridViewRow CurRow = dgv.Rows[CurrentRow];
-                int colcnt = dgv.Columns.Count;
-                int GroupNo = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
-
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1)
-                {   // タイトル行
-                    // 行の色を変える
-                    for (int i = 0; i < colcnt; i++)
-                    {
-                        dgv.Rows[m_BeforeGridRow].Cells[i].Style.BackColor = s_TitleRowBackColor;
-                    }
-                }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 1)
-                {   // 合計行
-
-                }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1)
-                {   // ブランク行
-                    // 行の色を変える
-                    for (int i = 0; i < colcnt; i++)
-                    {
-                        dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.White;
-                    }
-                }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 2)
-                {   // 総合計
-                    // 行の色を変える
-                    for (int i = 0; i < colcnt; i++)
-                    {
-                        dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.White;
-                        dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.Black;
-                    }
-                }
-                else
-                {   // 明細行
-                    // 行の色を変える
-                    for (int i = 0; i < colcnt; i++)
-                    {
-                        //dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.White;
-                        switch (i)
-                        {
-                            // 積算時見積金額
-                            case (int)DispGridColumn.EstimatePrice:
-                                dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.FromArgb(192, 255, 255);
-                                break;
-                            // 実行金額
-                            case (int)DispGridColumn.ExecPrice:
-                                dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.FromArgb(255, 224, 192);
-                                break;
-                            default:
-                                dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.White;
-                                //if (i == dgv.ColumnCount + (int)ColPayTotal.Totals && GroupNo == (int)GroupName_ConstructionLedger.CurrentProfit)
-                                //// 支払合計の現在利益金額は色を変える
-                                //{
-                                //    dgv.Rows[CurrentRow].Cells[i].Style.ForeColor = Color.LightBlue;
-                                //    dgv.Rows[CurrentRow].Cells[i].Style.BackColor = Color.Black;
-                                //}
-                                break;
-                        }
-                    }
-                }
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 受注金額よりパーセントを求める
-        /// <summary>
-        /// 指示値が受注金額の何パーセントかを計算する
-        /// </summary>
-        /// <param name="dInput"></param>
-        /// <returns></returns>
-        private double CalculattionPercent(double dInput)
-        {
-            double dwork = 0;
-
-            // 受注金額取得
-            double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
-            if (dBase == 0) return dwork;
-
-            dwork = dInput / dBase * 100.0;
-
-            return dwork;
-        }
-        #endregion
-
         #region 初期処理
         /// <summary>
         /// 初期時データ取得
@@ -692,15 +202,9 @@
                 // ヘッダー表示
                 if (!DispHeader()) return;
 
-                // グリッド行削除
-                dgvAllDisplay.Rows.Clear();
+                // 明細データ表示
+                DisplayDetail();
 
-                // データがある場合は表示を行う
-                if (InitDispData()) return;
-                
-                // データが無い場合は工事予算書より作成する
-                DispDataFromConstructionBudget();
-
             }
             catch (Exception ex)
             {
@@ -708,9 +212,6 @@
             }
             finally
             {
-                // 表示行が足りない場合は追加する
-                SetBlankRow(dgvAllDisplay);
-
                 // 変更フラグのクリア
                 m_bChengeAns = false;
             }
